diff --git a/demuxer/Demuxers/BaseDemuxer.h b/demuxer/Demuxers/BaseDemuxer.h
index 5f6c4d3..7dc8a25 100644
--- a/demuxer/Demuxers/BaseDemuxer.h
+++ b/demuxer/Demuxers/BaseDemuxer.h
@@ -120,7 +120,7 @@ public:
   // Start the demuxer
   virtual STDMETHODIMP Start() { return E_NOTIMPL; }
   // Abort opening the file
-  virtual STDMETHODIMP AbortOpening(int mode = 1) { return E_NOTIMPL; }
+  virtual STDMETHODIMP AbortOpening() { return E_NOTIMPL; }
   // Get Duration
   virtual REFERENCE_TIME GetDuration() const = 0;
   // Get the next packet from the file
diff --git a/demuxer/Demuxers/LAVFDemuxer.cpp b/demuxer/Demuxers/LAVFDemuxer.cpp
index 265f881..22eeec2 100644
--- a/demuxer/Demuxers/LAVFDemuxer.cpp
+++ b/demuxer/Demuxers/LAVFDemuxer.cpp
@@ -156,9 +156,9 @@ STDMETHODIMP CLAVFDemuxer::Open(LPCOLESTR pszFileName)
   return OpenInputStream(NULL, pszFileName);
 }
 
-STDMETHODIMP CLAVFDemuxer::AbortOpening(int mode)
+STDMETHODIMP CLAVFDemuxer::AbortOpening()
 {
-  m_Abort = mode;
+  m_Abort = 1;
   return S_OK;
 }
 
diff --git a/demuxer/Demuxers/LAVFDemuxer.h b/demuxer/Demuxers/LAVFDemuxer.h
index 0828967..9ff1baa 100644
--- a/demuxer/Demuxers/LAVFDemuxer.h
+++ b/demuxer/Demuxers/LAVFDemuxer.h
@@ -55,7 +55,7 @@ public:
   // CBaseDemuxer
   STDMETHODIMP Open(LPCOLESTR pszFileName);
   STDMETHODIMP Start() { if (m_avFormat) av_read_play(m_avFormat); return S_OK; }
-  STDMETHODIMP AbortOpening(int mode = 1);
+  STDMETHODIMP AbortOpening();
   REFERENCE_TIME GetDuration() const;
   STDMETHODIMP GetNextPacket(Packet **ppPacket);
   STDMETHODIMP Seek(REFERENCE_TIME rTime);
diff --git a/demuxer/LAVSplitter/LAVSplitter.cpp b/demuxer/LAVSplitter/LAVSplitter.cpp
index 40cdf4a..5bd79ca 100644
--- a/demuxer/LAVSplitter/LAVSplitter.cpp
+++ b/demuxer/LAVSplitter/LAVSplitter.cpp
@@ -102,7 +102,6 @@ STDMETHODIMP CLAVSplitter::Close()
 {
   CAutoLock cAutoLock(this);
 
-  AbortOperation();
   CAMThread::CallWorker(CMD_EXIT);
   CAMThread::Close();
 
@@ -747,16 +746,11 @@ STDMETHODIMP CLAVSplitter::Stop()
 {
   CAutoLock cAutoLock(this);
 
-  // Ask network operations to exit
-  m_pDemuxer->AbortOpening(1);
-
   DeliverBeginFlush();
   CAMThread::CallWorker(CMD_EXIT);
   CAMThread::Close();
   DeliverEndFlush();
 
-  m_pDemuxer->AbortOpening(0);
-
   HRESULT hr;
   if(FAILED(hr = __super::Stop())) {
     return hr;
